ChangeSet 1.2449.2.1, 2004/11/03 13:50:35-08:00, maneesh@in.ibm.com

[PATCH] sysfs: fix sysfs backing store error path confusion

o sysfs_new_dirent to retrun 0 if kmalloc fails. Thanks to Milton Miller
  for spotting this.

Signed-off-by: Maneesh Soni <maneesh@in.ibm.com>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 fs/sysfs/dir.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/fs/sysfs/dir.c b/fs/sysfs/dir.c
--- a/fs/sysfs/dir.c	2004-11-04 16:31:16 -08:00
+++ b/fs/sysfs/dir.c	2004-11-04 16:31:16 -08:00
@@ -56,7 +56,7 @@
 
 	sd = sysfs_new_dirent(parent_sd, element);
 	if (!sd)
-		return -ENOMEM;
+		return 0;
 
 	sd->s_mode = mode;
 	sd->s_type = type;
